
--////////////////////////////////////////////////
-- By default, this file is automatically loaded at
-- startup.
-- If you wish to edit aliases in-game,
-- then you will need to disable auto-loading of this
-- file.  To do so, use the following slash-command:
-- /fileonly off
-- Note that any aliases added in-game will not be 
-- shown in this file.  Also note that if you re-enable 
-- auto-loading of this file,  it will overwrite any 
-- aliases that you have added in-game.
-- ///////////////////////////////////////////////


-- ///////////////////////////////////////////////
-- ALIASES:
-- ///////////////////////////////////////////////
-- WARNING! Don't create two aliases that reference each other!
-- Standard aliases:
CA_Aliases = {
	--Standard aliases take this form: {"$aliasname","text"}
	{"$omw","On my way..."},
	{"%omw","$omw"},
	{"$lfg","Level $level $race $class looking for group!  $pst"},
	{"%lfg","$lfg"},
	{"$giggle","/me looks at a little $targetsex named $target and giggles in $possessive face."},
	{"%giggle","$giggle"},
	{"$pst","Please send tell."},
	{"%pst","$pst"},
	{"$lfm","Looking for more."},
	{"%lfm","$lfm"},
	{"$ping","I am in $zone at $loc."},
	{"%ping","$ping"},
	{"$randomsentence","$randomsugg $randomverb $randomnoun!!!"}, --For example: "Your mom says you must crack a bubble!!!"
	{"$randomsent","$randomsentence"},
	{"%randomsentence","$randomsentence"},
	{"%randomsent","$randomsentence"},
	{"$dwarfswear","$dwarfswearstart $dwarfswearend"}, -- Based on the mod created by Dawlin of the EU Azjol-Nerub server. 
	{"%dwarfswear","$dwarfswear"}, 
	{"%dswear","$dwarfswear"},
	{"$gnomeswear","$gnomeswearstart $gnomeswearmiddle $gnomeswearend"},
	{"%gnomeswear","$gnomeswear"},
	{"%gswear","$gnomeswear"}, 
	{"%name","$name"},
	{"%me","$name"},
	{"$me","$name"},
	{"%level","$level"},
	{"$lvl","$level"},
	{"%lvl","$level"},
	{"%class","$class"},
	{"%race","$race"},
	{"%faction","$faction"},
	{"%sex","$sex"},
	{"$gender","$sex"},
	{"%gender","$sex"},
	{"%location","$location"},
	{"%loc","$location"},
	{"$loc","$location"},
	{"%zone","$zone"},
	{"%health","$health"},
	{"%healthmax","$healthmax"},
	{"%healthpct","$healthpct"},
	{"%mana","$mana"},
	{"%manamax","$manamax"},
	{"%manapct","$manapct"},
	{"%party1","$party1"},
	{"%party2","$party2"},
	{"%party3","$party3"},
	{"%party4","$party4"},
	{"$pirateswear","$pirateswearstart $pirateswearend"}, -- Inspired by the Dwarfswear mod created by Dawlin of the EU Azjol-Nerub server. 
	{"%pirateswear","$pirateswear"}, 
	{"%pswear","$pirateswear"},
	{"%p1","$party1"},
	{"%p2","$party2"},
	{"%p3","$party3"},
	{"%p4","$party4"},
	{"$p1","$party1"},
	{"$p2","$party2"},
	{"$p3","$party3"},
	{"$p4","$party4"},
	{"%target","$target"},
	{"$t","$target"},
	{"%t","$target"},
	{"%targetclass","$targetclass"},
	{"%tclass","$targetclass"},
	{"$tclass","$targetclass"},
	{"%targetlevel","$targetlevel"},
	{"%targetlvl","$targetlevel"},
	{"$targetlvl","$targetlevel"},
	{"%tlevel","$targetlevel"},
	{"$tlevel","$targetlevel"},
	{"%tlvl","$targetlevel"},
	{"$tlvl","$targetlevel"},
	{"%targetsex","$targetsex"},
	{"%tsex","$targetsex"},
	{"$tsex","$targetsex"},
	{"%targetgender","$targetsex"},
	{"$targetgender","$targetsex"},
	{"%tgender","$targetsex"},
	{"$tgender","$targetsex"},
	{"$possessive","$posadjective"},
	{"%possessive","$posadjective"},
	{"%posadjective","$posadjective"},
	{"%pospronoun","$pospronoun"},
	{"%objpronoun","$objpronoun"},
	{"%subjpronoun","$subjpronoun"},
	{"%refpronoun","$refpronoun"},
	{"%targetfaction","$targetfaction"},
	{"%tfaction","$targetfaction"},
	{"$tfaction","$targetfaction"},
	{"%targetrace","$targetrace"},
	{"%trace","$targetrace"},
	{"$trace","$targetrace"},
	{"%targetclassification","$targetclassification"},
	{"%tclassification","$targetclassification"},
	{"$tclassification","$targetclassification"},
	{"%targettype","$targettype"},
	{"%ttype","$targettype"},
	{"$ttype","$targettype"},
	{"%targetfamily","$targetfamily"},
	{"%tfamily","$targetfamily"},
	{"$tfamily","$targetfamily"},
	{"%tfam","$targetfamily"},
	{"$tfam","$targetfamily"},
	{"%xp","$xp"},
	{"%xpmax","$xpmax"},
	{"%xppct","$xppct"},
	{"teh","the"},
	{"Teh","The"},
	{"rouge","rogue"},
	{"rouges","rogues"},
	{"Rouge","Rogue"},
	{"Rouges","Rogues"},
	{"adn","and"},
	{"Adn","And"},
	{"%pet","$pet"},
	{"%cthe","$cthe"}, --Conditional "the".  If a target has no gender, it returns "the".  Otherwise, it returns nothing.
	{"$meb","$me shakes up the old Goblin Eight Ball in response, and the answer is... '$eightball'!"},
	{"%meb","$meb"},
	{"$emeb","/me shakes up the old Goblin Eight Ball in response, and the answer is... '$eightball'!"},
	{"%emeb","$emeb"},
	{"%eightball","$eightball"},
	{"$8ball","$eightball"},
	{"%8ball","$eightball"}
};

-- Dynamic Aliases (Advanced users):
CA_Dynamic_Aliases = {
	--Dynamic aliases in this file must take this form: {"$aliasname","ALIASVAL = <code>"}
	
	--Dynamic aliases added in-game take a slightly different form:
	--/adddyn $aliasname <code>  (Do not use ALIASVAL for dynamic aliases added in-game)
	
	--Functions should return a string, a number, or nil.
	
	{"$name",[[ALIASVAL = UnitName("player")]]},
	{"$level",[[ALIASVAL = UnitLevel("player")]]},
	{"$class",[[ALIASVAL = UnitClass("player")]]},
	{"$race",[[ALIASVAL = UnitRace("player")]]},
	{"$faction",[[ALIASVAL = UnitFactionGroup("player")]]},
	{"$sex",[[ALIASVAL = UnitSex("player")]]},
	{"$location",[[ALIASVAL = function() local playerX, playerY = GetPlayerMapPosition("player"); return string.format("(%d,%d)", playerX * 100.0, playerY * 100.0); end]]},
	{"$zone",[[ALIASVAL = function() SetMapToCurrentZone(); local continent = GetCurrentMapContinent(); local zoneIndex = GetCurrentMapZone(); local zoneNames = {GetMapZones(continent)}; local playerZone = zoneNames[zoneIndex]; return playerZone; end]]},
	{"$health",[[ALIASVAL = UnitHealth("player")]]},
	{"$healthmax",[[ALIASVAL = UnitHealthMax("player")]]},
	{"$healthpct",[[ALIASVAL = math.floor(UnitHealth("player")/UnitHealthMax("player")*100).."%"]]},
	{"$healthpctcode",[[ALIASVAL = math.floor(UnitHealth("player")/UnitHealthMax("player")*100)]]},
	{"$mana",[[ALIASVAL = UnitMana("player")]]},
	{"$manamax",[[ALIASVAL = UnitManaMax("player")]]},
	{"$manapct",[[ALIASVAL = math.floor(UnitMana("player")/UnitManaMax("player")*100).."%"]]},
	{"$manapctcode",[[ALIASVAL = math.floor(UnitMana("player")/UnitManaMax("player")*100)]]},
	{"$party1",[[ALIASVAL =UnitName("party1")]]};
	{"$party2",[[ALIASVAL =UnitName("party2")]]};
	{"$party3",[[ALIASVAL =UnitName("party3")]]};
	{"$party4",[[ALIASVAL =UnitName("party4")]]};
	{"$target",[[ALIASVAL = UnitName("target")]]},
	{"$targetclass",[[ALIASVAL = UnitClass("target")]]},
	{"$targetlevel",[[ALIASVAL = function() if(UnitLevel("target")==0) then return nil; else return UnitLevel("target"); end end]]},
	{"$targetsex",[[ALIASVAL = function() if (UnitSex("target")==0) then return "male"; elseif (UnitSex("target")==1) then return "female"; end end]]},
	{"$targetfaction",[[ALIASVAL = UnitFactionGroup("target")]]},
	{"$targetrace",[[ALIASVAL = UnitRace("target")]]},
	{"$targetclassification",[[ALIASVAL = UnitClassification("target")]]},
	{"$targettype",[[ALIASVAL = UnitCreatureType("target")]]},
	{"$targetfamily",[[ALIASVAL = UnitCreatureFamily("target")]]},
	{"$xp",[[ALIASVAL = UnitXP("player")]]},
	{"$xpmax",[[ALIASVAL = UnitXPMax("player")]]},
	{"$xppct",[[ALIASVAL = math.floor(UnitXP("player")/UnitXPMax("player")*100).."%"]]},
	{"$xppctcode",[[ALIASVAL = math.floor(UnitXP("player")/UnitXPMax("player")*100)]]},
	{"$posadjective",[[ALIASVAL = function() if("$targetsex" == "male") then return "his"; elseif ("$targetsex" == "female") then return "her"; else return "its"; end end]]},
	{"$pospronoun",[[ALIASVAL = function() if("$targetsex" == "male") then return "his"; elseif ("$targetsex" == "female") then return "hers"; else return "its"; end end]]},
	{"$objpronoun",[[ALIASVAL = function() if("$targetsex" == "male") then return "him"; elseif ("$targetsex" == "female") then return "her"; else return "it"; end end]]},
	{"$subjpronoun",[[ALIASVAL = function() if("$targetsex" == "male") then return "he"; elseif ("$targetsex" == "female") then return "she"; else return "it"; end end]]},
	{"$refpronoun",[[ALIASVAL = function() if("$targetsex" == "male") then return "himself"; elseif ("$targetsex" == "female") then return "herself"; else return "itself"; end end]]},
	{"$randomnoun",[[ALIASVAL = function() local nounlist = {"a toilet","an elbow","a bubble","a nostril","your underwear","some pizza","an earthquake","an egg","a pickle"}; local i = table.getn(nounlist); return nounlist[random(i)]; end]]},
	{"$randomverb",[[ALIASVAL = function() local verblist = {"clean","break","pop","pick","remove","consume","flee in terror from","crack","nibble at"}; local i = table.getn(verblist); return verblist[random(i)]; end]]},
	{"$randomsugg",[[ALIASVAL = function() local sugglist = {"You might want to","You should","You must","You ought to","You have to","You need to","You will die if you","You will die if you don't","Your mom says you must"}; local i = table.getn(sugglist); return sugglist[random(i)]; end]]},
	{"$pet",[[ALIASVAL = UnitName("pet")]]},
	{"$cthe",[[ALIASVAL = function() if("$targetsex" == "male") then return ""; elseif ("$targetsex" == "female") then return ""; else return "the "; end end]]},
	{"$eightball",[[ALIASVAL = function() local eightlist = {"ASK AGAIN LATER","BETTER NOT TELL YOU NOW","CONCENTRATE AND ASK AGAIN","DON'T COUNT ON IT","IT IS CERTAIN","MOST LIKELY","MY REPLY IS NO","MY SOURCES SAY NO","NO","OUTLOOK GOOD","OUTLOOK NOT SO GOOD","REPLY HAZY, TRY AGAIN","SIGNS POINT TO YES","YES","YES, DEFINITELY","YOU MAY RELY ON IT"}; local i = table.getn(eightlist); return eightlist[random(i)]; end]]},
	{"$dwarfswearstart",[[ALIASVAL = function() local dstartlist = {"beardless","beard-shaving","bony","clanless","dainty","dull-edged","elf-kissing","emaciated","floppy-eared","flower-sniffing","frail","girly","hanky-waving","incompetent","lazy","lice-ridden","lily-livered","milk-drinking","no-liquor-holding","no-skill","perfumed","scrawny","slothful","traitorous","tree-climbing"}; local i = table.getn(dstartlist); return dstartlist[random(i)]; end]]},
	{"$dwarfswearend",[[ALIASVAL = function() local dendlist = {"bear molester","civilian","claim jumper","collaborator","crybaby","dig rat","goblin-lover","guano-for-brains","half-troll","little leper gnome","lightweight","namby-pamby","oath breaker","orc-bride","outcast","rabbit brain","rust bucket","shirker","surrender monkey","teetotaler","thumb-basher","trogg-kisser","vegetarian","wuss","yellow-belly"}; local i = table.getn(dendlist); return dendlist[random(i)]; end]]},
	{"$pirateswearstart",[[ALIASVAL = function() local pstartlist = {"seasick","parrot-pecked","barnacle-scraping","plank-walking","loose-lipped","dastardly","scurvy","salty","one-eyed","peg-legged","thieving","pilfering","jaundiced","poxy","toothless","limp-noodle","keel-hauled","coin-shaving","stinking","sail-ripping","yellow-bellied","shirking","pardon-grubbing","bilge-sucking","scurvy"}; local i = table.getn(pstartlist); return pstartlist[random(i)]; end]]},
	{"$pirateswearend",[[ALIASVAL = function() local pendlist = {"dog","landlubber","bilge rat","cabin boy","brig dweller","rummy","cad","sharkbait","scallywag","scoundrel","albatross","gull-droppings","whoreson","swabby","goody two-shoes","weekend sailor","oarsman","surrender monkey","deserter","goblin","dog","rat","swabby","scoundrel","civilian"}; local i = table.getn(pendlist); return pendlist[random(i)]; end]]},
   {"$gnomeswearstart",[[ALIASVAL = function() local gstartlist = {"incompetent","disagreeable","clumsy","blundering","drooling","artless","vacant","misbegotten","misanthropic","babbling","unsatisfactory","deficient","brainless","nefarious","slothful","miserable","misshapen","revolting","repugnant","witless","gangrenous","rickety","malfunctioning","corroded","odious","loathsome","reprehensible","irascible","heinous","contemptible"}; local i = table.getn(gstartlist); return gstartlist[random(i)]; end]]},
   {"$gnomeswearmiddle",[[ALIASVAL = function() local gmiddlelist = {"wrench-dropping","empty-headed","under-developed","double-dealing","green-skinned","flower-picking","no good","bug-ridden","hard-nosed","troll-eaten","sprocket-breaking","cross-grained,","cloven-footed","addle-brained","simple-minded","second-rate","goblin-kissing","two-timing","slack-jawed","tool-snatching","trogg-loving","leper-spawned","thumb-bashing","ankle-biting","demon-spawned","half-witted","underhanded","ill-famed","pig-headed","low-down"}; local i = table.getn(gmiddlelist); return gmiddlelist[random(i)]; end]]},
   {"$gnomeswearend",[[ALIASVAL = function() local gendlist = {"nincompoop","pinhead","ignoramus","dunderhead","simpleton","dimwit","twit","meathead","blankety-blank","villain","scoundrel","rock-for-brains","miscreant","sleazeball","hoodlum","whippersnapper","rust-bucket","guttersnipe","rapscallion","bore","bonehead","buffoon","numskull","degenerate","fiend","ne'er-do-well","good-for-nothing","cretin","devilkin","slag heap"}; local i = table.getn(gendlist); return gendlist[random(i)]; end]]}
};




--////////////////////////////////////////////////////
--Please do not edit below this line!
--////////////////////////////////////////////////////
ALIASVAL="";
--Function: CA_TableCopy
--Stolen again from Dhargo's Wow Utility Functions
function CA_TableCopy(table1)
	local table2 = {};
	local index, value
		for index, value in pairs(table1) do
		local text = index .. " "
			if type(value) == "table" then
				table2[index] = CA_TableCopy(value)
			else
				table2[index] = value
			end
		end
		return table2;
end
CA_Aliases_File = CA_TableCopy(CA_Aliases);
CA_Dynamic_Aliases_File = CA_TableCopy(CA_Dynamic_Aliases);